【活用ガイド】

[English]

JVNDB-2015-000142

Apache Cordova プラグイン cordova-plugin-file-transfer における HTTP ヘッダインジェクションの脆弱性

概要

Apache Software Foundation が提供する cordova-plugin-file-transfer は、Apache Cordova を使って開発されるアプリケーションにファイルのアップロードおよびダウンロードを可能にする機能を提供するプラグインです。また、HTTP ヘッダを追加する機能も提供しています。
cordova-plugin-file-transfer を使用した Android アプリケーションには、ファイル名の処理に起因する HTTP ヘッダインジェクションの脆弱性が存在します。

この脆弱性情報は、情報セキュリティ早期警戒パートナーシップに基づき下記の方が IPA に報告し、JPCERT/CC が開発者との調整を行いました。
報告者: ソニーデジタルネットワークアプリケーションズ株式会社 西村 宗晃 氏

CVSS による深刻度 (CVSS とは?)

基本値: 4.3 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 中
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): なし
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): なし

影響を受けるシステム


Apache Software Foundation
  • cordova-plugin-file-transfer 1.2.1 およびそれ以前のバージョン

想定される影響

アプリケーションの実装により異なりますが、ファイル名を含む HTTP ヘッダを追加している場合、細工されたファイル名を処理することで、ユーザのウェブブラウザ上で偽の情報が表示されたり、任意のスクリプトが実行されたり、Cookie に任意の値が設定されたりするなどの可能性があります。
対策

[プラグインをアップデートし、アプリケーションをリビルドする]
当該プラグインを 1.3.0 およびそれ以降のバージョンにアップデートし、アプリケーションをリビルドしてください。
なお、開発者によると、当該プラグインの 1.3.0 以降は RFC2616 に準拠し、HTTP ヘッダを追加する場合 ASCII 文字以外の文字は削除されるとのことです。

詳しくは、開発者が提供する情報をご確認ください。
ベンダ情報

Apache Software Foundation
CWEによる脆弱性タイプ一覧  CWEとは?

  1. 不適切な入力確認(CWE-20) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2015-5204
参考情報

  1. JVN : JVN#21612597
  2. National Vulnerability Database (NVD) : CVE-2015-5204
更新履歴

[2015年09月29日]
  掲載
[2015年12月21日]
  参考情報:National Vulnerability Database (NVD) (CVE-2015-5204) を追加